## lksctp-tools 1.0.11+dfsg

=== debian/changelog ===
lksctp-tools (1.0.11+dfsg-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.
  * Bump debhelper compatibility level to 8. Update Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.1. No further changes.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Convert debian/rules to use dh.
    - Add debian/lksctp-tools.docs to install README and AUTHORS file.
  * debian/patches/01-withsctp-quote-command-line-args.patch
    - Properly quote command line arguments in withsctp. (Closes: #606322)

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Mar 2011 08:05:43 +0100

lksctp-tools (1.0.11+dfsg-1) unstable; urgency=low

  * New upstream release
  * Repackaged upstream tarball to remove non-free documentation in doc/*.
  * Bump Standards-Version to 3.8.3. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Oct 2009 05:01:29 +0200

lksctp-tools (1.0.10+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackaged upstream tarball to remove non-free documentation in doc/*.
  * debian/copyright
    - Add a note why the upstream tarball has been repackaged and which files
      have been removed.
  * debian/watch
    - Fix regex to match version numbers with more than one digit.
    - Use +dfsg suffix.
  * debian/control
    - Bump Standards-Version to 3.8.1. No further changes.
  * debian/libsctp1.symbols
    - The sctp_connectx() function was updated to conform to the spec.
      To preserve the ABI, symbol versioning has been added by upstream.
      Update the symbols file accordingly.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Apr 2009 11:53:58 +0200

lksctp-tools (1.0.9.dfsg-2) unstable; urgency=low

  * debian/rules 
    - Stop mangling paths in withsctp, fixed upstream.
    - Include debhelper.mk before any other files as recommended by the cdbs
      documentation.
    - Remove DEB_SHLIBDEPS_INCLUDE, dpkg-shlibdeps works fine without it
      nowadays.
  * debian/control
    - Add ${misc:Depends} to libsctp-dev package.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/copyright
    - Refer to the versioned LGPL-2.1 and GPL-2 files in
      /usr/share/common-licenses.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Feb 2009 15:26:55 +0100

lksctp-tools (1.0.9.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/control
    - Bump Standards-Version to 3.8.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Aug 2008 01:46:41 +0200

lksctp-tools (1.0.8.dfsg-2) unstable; urgency=low

  * Add symbols file for libsctp1. 

 -- Michael Biebl <biebl@debian.org>  Fri, 30 May 2008 03:30:42 +0200

lksctp-tools (1.0.8.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/man/withsctp.1
    - Add missing .SH stanza to the AUTHORS section.
  * debian/rules
    - Pass the correct expression directly to sed instead of using the
      external fix.withsctp file.
  * debian/fix.withsctp
    - Removed, no longer required.
  * debian/control
    - Drop Conflicts with sctplib which has become obsolete and removed from
      the archive. The last version available is in sarge (oldstable).

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2008 19:33:28 +0100

lksctp-tools (1.0.7.dfsg-3) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Drop Recommends: linux-image-2.6-486 | linux-image-2.6 for libsctp1.
      The default Linux kernel in Debian is now 2.6, so this has become
      obsolete.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Jan 2008 00:33:12 +0100

lksctp-tools (1.0.7.dfsg-2) unstable; urgency=low

  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - Update the package recommendations: 
      kernel-image-2.6 is no longer available in the archive, so remove it.
      linux-image-2.6-386 has been superseded by linux-image-2.6-486.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Oct 2007 19:01:00 +0200

lksctp-tools (1.0.7.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/control
    + Replace Source-Version with binary:Version.
    + Drop Build-Depends on linux-kernel-headers, automake1.9, autoconf,
      and libtool, add autotools-dev.
  * debian/patches/man_page_sctp_recvmsg_fix.diff
    + Removed, merged upstream.
  * debian/rules
    + Do not regenerate the autotools build system anymore.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jul 2007 18:24:18 +0200

lksctp-tools (1.0.6.dfsg-4) unstable; urgency=low

  * Update maintainer email address to biebl@debian.org. 

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Oct 2006 20:23:28 +0200

lksctp-tools (1.0.6.dfsg-3) unstable; urgency=low

  * Drop debconf note (closes: #388917). 
    Debian now ships an SCTP enabled kernel by default.

 -- Michael Biebl <biebl@teco.edu>  Fri, 29 Sep 2006 01:25:16 +0200

lksctp-tools (1.0.6.dfsg-2) unstable; urgency=low

  * Updated watch file to match the .dfsg version appendix.
  * Bumped debhelper compatibility to 5.
  * Fixed a bug in the debconf template and updated the translations. Switched
    the German translation to UTF-8.

 -- Michael Biebl <biebl@teco.edu>  Wed, 17 May 2006 09:47:02 +0200

lksctp-tools (1.0.6.dfsg-1) unstable; urgency=low

  * Removed non-free documentation (closes: #365178).
    + Repackaged upstream tarball and removed doc/draft*.txt and doc/rfc*.txt.
    + Dropped the package lksctp-tools-doc completely. People interested in
      the documentation should go to the project homepage. You can find the
      links to the drafts and RFCs there.

