=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

# Do not create a shlibs file for libwithsctp.
override_dh_makeshlibs:
	dh_makeshlibs -Xlibwithsctp
