=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://sf.net/lksctp/lksctp-tools-([\d\.]+)\.tar\.gz
