=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.4
+Vcs-Git: git://git.debian.org/git/collab-maint/lksctp-tools.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/lksctp-tools.git;a=summary
 Homepage: http://lksctp.sf.net/
 
 Package: libsctp1
 Section: libs
 Priority: optional
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lksctp-tools
 Description: user-space access to Linux Kernel SCTP - shared library
