## lksctp-tools 1.0.16+dfsg

=== debian/changelog ===
lksctp-tools (1.0.16+dfsg-3) unstable; urgency=medium

  * libsctp1: Demote lksctp-tools from Recommends to Suggests.
  * Rework package descriptions. (Closes: #707739)
    Thanks Martin Eberhard Schauer and Justin B Rye.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Vcs-* fields to use the canonical Alioth URLs and use https for
    Vcs-Browser.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Sep 2015 18:09:51 +0200

lksctp-tools (1.0.16+dfsg-2) unstable; urgency=medium

  * Mark binary packages as linux-any.
    lksctp-tools is Linux specific and FTBFS on kFreeBSD and GNU/Hurd.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Apr 2014 10:07:50 +0200

lksctp-tools (1.0.16+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Feb 2014 18:08:35 +0100
