## lksctp-tools 1.0.17+dfsg

=== debian/changelog ===
lksctp-tools (1.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Stop overriding dh_autoreconf, not really necessary anymore.
  * Install new pkg-config file.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 17:44:39 +0200
