=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/lksctp-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lksctp-tools.git
 Homepage: http://lksctp.sf.net/
