=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 %:
 	dh $@ --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf ./bootstrap
 
 # Do not create a shlibs file for libwithsctp.
 override_dh_makeshlibs:
