## lksctp-tools 1.0.18+dfsg

=== debian/changelog ===
lksctp-tools (1.0.18+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * Update debian/watch to track new upstream releases on GitHub
  * Use Files-Excluded to remove non-DFSG-free drafts and RFCs
  * Make no-patch-numbers the default for gbp pq
  * Bump Standards-Version to 4.2.1
  * Fix installation of netinet/sctp.h
  * Update library version-info to match current upstream version

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Sep 2018 23:34:02 +0200

lksctp-tools (1.0.17+dfsg-2) unstable; urgency=medium

  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Set Rules-Requires-Root to no
  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat level to 11
  * Switch to dh_missing and abort on uninstalled files
  * Mark libsctp-dev as Multi-Arch: same

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jan 2018 22:44:39 +0100
