=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/lksctp-tools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lksctp-tools.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/lksctp-tools.git
+Vcs-Browser: https://salsa.debian.org/debian/lksctp-tools
 Homepage: http://lksctp.sf.net/
 
 Package: libsctp1
@@ -29,6 +30,7 @@
 Section: libdevel
 Priority: optional
 Architecture: linux-any
+Multi-Arch: same
 Depends: libsctp1 (= ${binary:Version}), ${misc:Depends}, libc6-dev | libc-dev
 Description: user-space access to Linux kernel SCTP - development files
  SCTP (Stream Control Transmission Protocol) is a message oriented,
