## lksctp-tools 1.0.19+dfsg

=== debian/changelog ===
lksctp-tools (1.0.19+dfsg-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:17 +0200

lksctp-tools (1.0.19+dfsg-2) unstable; urgency=medium

  * Add Build-Depends-Package field to libsctp1.symbols
  * Drop no longer needed override for dh_missing.
    In compat 13 and later, --fail-missing is the default.
  * Use execute_before instead of override for dh_install
  * Bump Standards-Version to 4.6.1
  * Fix copyright notice regarding sctp.h
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2022 20:36:16 +0200

lksctp-tools (1.0.19+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

  [ Michael Biebl ]
  * New upstream version 1.0.19+dfsg
  * Drop patches, all merged upstream
  * Update symbols file for libsctp1
  * Switch to debhelper-compat and bump compat level to 13
  * Bump Standards-Version to 4.5.1

 -- Michael Biebl <biebl@debian.org>  Sat, 15 May 2021 15:55:00 +0200
