=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lksctp-tools
 Section: net
 Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lksctp-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/lksctp-tools
@@ -11,7 +12,6 @@
 
 Package: libsctp1
 Section: libs
-Priority: optional
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,7 +28,6 @@
 
 Package: libsctp-dev
 Section: libdevel
-Priority: optional
 Architecture: linux-any
 Multi-Arch: same
 Depends: libsctp1 (= ${binary:Version}), ${misc:Depends}, libc6-dev | libc-dev
@@ -45,7 +44,6 @@
 
 Package: lksctp-tools
 Section: net
-Priority: optional
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: user-space access to Linux kernel SCTP - commandline tools
