## lksctp-tools 1.0.20+dfsg

=== debian/changelog ===
lksctp-tools (1.0.20+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse,
    Repository.

  [ Michael Biebl ]
  * New upstream version 1.0.20+dfsg
  * Update debian/watch
  * Bump Standards-Version to 4.7.0
  * Update Homepage URL to point at github

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Aug 2024 18:06:04 +0200
