## lksctp-tools 1.0.21%2Bdfsg

=== debian/changelog ===
lksctp-tools (1.0.21+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.21+dfsg

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Sep 2024 18:20:41 +0200
