## lksctp-tools 1.0.21+dfsg

=== debian/changelog ===
lksctp-tools (1.0.21+dfsg-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 13:38:48 +0000
