=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: lksctp-tools
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lksctp-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/lksctp-tools
-Homepage: http://lksctp.sf.net/
+Homepage: https://github.com/sctp/lksctp-tools/
 
 Package: libsctp1
 Section: libs
